### Hierarchy

- default
  - default

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- clearAll
- clearMeasure
- connectedCallback
- csvExport
- disconnectedCallback
- getAvailablePointAttributes
- getClassification
- getTitle
- initConfig
- initSubscribe
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- pngExport
- resetPlot
- selectPointAttribute
- setClassification
- setMeasureActive
- setSelectedPointAttribute
- toggleDrawLine
- toggleVisibility
- webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- Inherited from default.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:487

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides default.styles

- Defined in src/lidar/PanelElement.ts:124

## Methods

### clearAll

- clearAll(): void

- - Defined in src/lidar/PanelElement.ts:327

  Clear the LIDAR profile tool.

  #### Returns void

### clearMeasure

- clearMeasure(): void

- - Defined in src/lidar/PanelElement.ts:350

  Clear the current measure

  #### Returns void

### connectedCallback

- connectedCallback(): void

- Overrides default.connectedCallback

  - Defined in src/lidar/PanelElement.ts:67

  #### Returns void

### csvExport

- csvExport(): void

- - Defined in src/lidar/PanelElement.ts:423

  Export the profile data to CSV file

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

  #### Returns void

### getAvailablePointAttributes

- getAvailablePointAttributes(): LidarprofileServerConfigPointAttributes[]

- - Defined in src/lidar/PanelElement.ts:372

  Get all available point attributes.

  #### Returns LidarprofileServerConfigPointAttributes[]

  Available point attributes.

### getClassification

- getClassification(): LidarprofileServerConfigClassifications

- - Defined in src/lidar/PanelElement.ts:391

  Get the available classifications for this dataset

  #### Returns LidarprofileServerConfigClassifications

  classification list

### getTitle

- getTitle(panelName: string): TemplateResult<ResultType>

- Inherited from default.getTitle

  - Defined in srcapi/elements/ToolPanelElement.ts:66

  #### Parameters

  - ##### panelName: string

  #### Returns TemplateResult<ResultType>

### initConfig

- initConfig(configuration: Configuration): void

- Overrides ToolPanelElement.initConfig

  - Defined in src/lidar/PanelElement.ts:118

  #### Parameters

  - ##### configuration: Configuration

  #### Returns void

### initSubscribe

- initSubscribe(): void

- - Defined in src/lidar/PanelElement.ts:73

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### pngExport

- pngExport(): void

- - Defined in src/lidar/PanelElement.ts:438

  Export the current d3 chart to PNG file

  #### Returns void

### resetPlot

- resetPlot(): void

- - Defined in src/lidar/PanelElement.ts:360

  Reload and reset the plot for the current profile (reloads data)

  #### Returns void

### selectPointAttribute

- selectPointAttribute(): void

- - Defined in src/lidar/PanelElement.ts:268

  Set visible the selected point attribute option

  #### Returns void

### setClassification

- setClassification(classification: LidarprofileServerConfigClassification, key: number): void

- - Defined in src/lidar/PanelElement.ts:404

  Sets the visible classification in the profile

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassification

    selected value.

  - ##### key: number

    of the classification code.

  #### Returns void

### setMeasureActive

- setMeasureActive(): void

- - Defined in src/lidar/PanelElement.ts:339

  Activate the measure tool

  #### Returns void

### setSelectedPointAttribute

- setSelectedPointAttribute(selectedPointAttribute: LidarprofileServerConfigPointAttribute): void

- - Defined in src/lidar/PanelElement.ts:381

  Set the selected point attribute

  #### Parameters

  - ##### selectedPointAttribute: LidarprofileServerConfigPointAttribute

    The new selected point attribute.

  #### Returns void

### toggleDrawLine

- toggleDrawLine(): void

- - Defined in src/lidar/PanelElement.ts:245

  Toggle the drawLine component status and set the correct class for the toggle button.

  #### Returns void

### toggleVisibility

- toggleVisibility(classification: LidarprofileServerConfigClassification, key: string): void

- - Defined in src/lidar/PanelElement.ts:260

  Toggle visibility of the selected classification object.

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassification

    The classification to change visibility.

  - ##### key: string

    The key string of the toggled classification.

  #### Returns void

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc